<?php
/**
 * Model dla klasy MfProductAttributeDescription
 *
 * @author ModGen
 */

class MfProductAttributeDescription extends DataObject{


	/**
	 * nazwa tabeli
	 */
	static $tableName = 'mf_product_attribute_description';

	/**
	 * nazwa klucza tabeli
	 */
	static $classTablePK = 'id_mf_product_attribute_description';

	/**
	 * nazwa klasy
	 */
	static $className = __CLASS__;

	/**
	 * tablica mapująca pola klasy
	 */
	static $fields = array(
		'id_mf_product_attribute_description' => 'id',
		'id_mf_product_attribute' => 'idMfProductAttribute',
		'description' => 'description',
		'lang' => 'lang'
	);


	protected $id;
	private $idMfProductAttribute;
	private $description;
	private $lang;



	// -- Konstruktor --


	function __construct( $id = -1 , $idMfProductAttribute = null, $description = null, $lang = null){
		$this->id = $id;
		$this->idMfProductAttribute = $idMfProductAttribute;
		$this->description = $description;
		$this->lang = $lang;
	}



	// -- Get-y i Set-y --

	public function getId(){
		return $this->id;
	}

	public function setId($id){
		$this->id = $id;
	}

	
	public function getIdMfProductAttribute(){
		return $this->idMfProductAttribute;
	}

	public function setIdMfProductAttribute($idMfProductAttribute){
		$this->idMfProductAttribute = $idMfProductAttribute;
	}

	
	public function getDescription(){
		return $this->description;
	}

	public function setDescription($description){
		$this->description = $description;
	}

	
	public function getLang(){
		return $this->lang;
	}

	public function setLang($lang){
		$this->lang = $lang;
	}

	




	/**
	* Pobiera nazwę tabeli reprezentującej obiekt w SQL
	* @return string
	*/
	public  function GetTableName(){
	return self::$tableName;
	}

	/**
	* Pobiera nazwę klucza głównego tabeli
	* @return string
	*/
	public function GetClassTablePK() {
		return self::$classTablePK;
	}

	/**
	* Pobiera tablice mapującą pola klasy na pola tabeli
	* @return array
	*/
	public  function GetFields(){
		return self::$fields;
	}

	/**
	* Pobiera nazwę klasy
	* @return string
	*/
	public  function GetClassName(){
		return self::$className;
	}



}

?>